BIT-ejbca-2020-28942

See a problem?
Import Source
https://github.com/bitnami/vulndb/tree/main/data/ejbca/BIT-ejbca-2020-28942.json
JSON Data
https://api.osv.dev/v1/vulns/BIT-ejbca-2020-28942
Aliases
  • CVE-2020-28942
Published
2024-03-06T10:52:27.072Z
Modified
2024-03-06T11:25:28.861Z
Summary
[none]
Details

An issue exists in PrimeKey EJBCA before 7.4.3 when enrolling with EST while proxied through an RA over the Peers protocol. As a part of EJBCA's domain security model, the peer connector allows the restriction of client certificates (for the RA, not the end user) to a limited set of allowed CAs, thus restricting the accessibility of that RA to the rights it has within a specific role. While this works for other protocols such as CMP, it was found that the EJBCA enrollment over an EST implementation bypasses this check, allowing enrollment with a valid client certificate through any functioning and authenticated RA connected to the CA. NOTE: an attacker must already have a trusted client certificate and authorization to enroll against the targeted CA.

References

Affected packages

Bitnami / ejbca

Package

Name
ejbca
Purl
pkg:bitnami/ejbca

Severity

  • 4.3 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:L/A:N CVSS Calculator

Affected ranges

Type
SEMVER
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
7.4.3